Summary: Mount replacement which uses HAL to do the mounting 
Name: gnome-mount
Version: 0.4
Release: %mkrel 5.20060724.2
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org
Source: %{name}-%{version}.0.2006.07.24.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=335700
Patch2: gnome-mount-0.4-mount-for-fstab.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: hal >= 0.5.7
BuildRequires: hal-devel >= 0.5.7
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: nautilus-devel
BuildRequires: perl-XML-Parser

%description
A replacement for the mount, umount and eject commands that
uses HAL to do all the heavy lifting.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}.0.2006.07.24
%patch2 -p1 -b .fstab

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

rm -rf $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gnome-mount
%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/gconf/schemas/gnome-mount.schemas
%{_bindir}/gnome-eject
%{_bindir}/gnome-mount
%{_bindir}/gnome-umount
%{_datadir}/gnome-mount/gnome-mount-properties.glade
%_libdir/pkgconfig/%name.pc
%{_libdir}/nautilus/extensions-1.0/*.so
%{_mandir}/man1/*

%changelog
* Mon Aug  7 2006 Götz Waschk <waschk@mandriva.org> 0.4-5.20060724.2mdv2007.0
- fix buildrequires

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-5.20060724.1mdv2007.0
- Update to CVS snapshot (add nautilus property page)
- rebuild with latest dbus
- remove patches 0, 1, 3 (merged upstream)

* Tue Jul 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-5mdv2007.0
- Fix typo in preun (Mdv bug #23504)

* Wed Jun 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-4mdv2007.0
- Patch3: add support for default policy

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 0.4-3mdv2007.0
- update patch 2

* Fri Jun 16 2006 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2007.0
- use mount for devices in fstab

* Sun May 21 2006 Götz Waschk <waschk@mandriva.org> 0.4-1mdk
- sync with 0.4-6 from fedora
- new version

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-0.20060117.2mdk
- Rebuild with dbus 0.60

* Fri Jan 20 2006 Götz Waschk <waschk@mandriva.org> 0.4-0.20060117.1mdk
- update file list
- new version from fedora

* Sun Jan 15 2006 Götz Waschk <waschk@mandriva.org> 0.3-1mdk
- drop patch
- New release 0.3

* Sat Jan 14 2006 Götz Waschk <waschk@mandriva.org> 0.2-3mdk
- more buildrequires

* Fri Jan 13 2006 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- fix buildrequires

* Fri Jan 13 2006 Götz Waschk <waschk@mandriva.org> 0.2-1mdk
- initial package

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.2-1
- initial import 
